be.ehealth.businessconnector.consultrn.exception.manageperson

## Class ConsultrnRegisterExistingPersonException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.business.common.exception.EhealthServiceV2Exception
      - - be.ehealth.businessconnector.consultrn.exception.manageperson.ConsultrnRegisterExistingPersonException

- All Implemented Interfaces:
    Serializable

      public class ConsultrnRegisterExistingPersonException
      extends EhealthServiceV2Exception

  Connector Exception thrown when the registerPerson operation response indicates an error status code and the response contains one or more existing persons.

  If needed the response object is made accessible through the `getRegisterPersonResponse` method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultrnRegisterExistingPersonException(RegisterPersonResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RegisterPersonResponse` | `getRegisterPersonResponse()`

    - ### Methods inherited from class be.ehealth.business.common.exception.EhealthServiceV2Exception

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultrnRegisterExistingPersonException

          public ConsultrnRegisterExistingPersonException(RegisterPersonResponse response)

  - ### Method Detail

    - #### getRegisterPersonResponse

          public RegisterPersonResponse getRegisterPersonResponse()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.